# Record TCefDownloadItemCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDownloadItemCallback = record`

## Description

Callback structure used to asynchronously cancel a download.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDownloadItemCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_download_item_callback_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `cancel: procedure(self: PCefDownloadItemCallback); stdcall;`
| `pause: procedure(self: PCefDownloadItemCallback); stdcall;`
| `resume: procedure(self: PCefDownloadItemCallback); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `cancel: procedure(self: PCefDownloadItemCallback); stdcall;`
This item has no description.

| `pause: procedure(self: PCefDownloadItemCallback); stdcall;`
This item has no description.

| `resume: procedure(self: PCefDownloadItemCallback); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.